var fs = require('fs'),
    path = require('path');

var log = require('color-log');

exports.getConfig = function(callback) {

    var configPath = path.join(process.cwd(), 'config/config.json');

    fs.exists(configPath, function(exists) {

        if (exists) {

            fs.readFile(configPath, function(err, data) {

                if (err) {

                    log.error('config.json配置读取失败');
                    process.exit(1);
                } else {

                    callback(JSON.parse(data.toString()));
                }
            });
        } else {

            log.error('config.json配置文件丢失');
            process.exit(1);
        }
    });
}